timekpr-next (0.5.4-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:43:51 +0100

timekpr-next (0.5.4-3) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3.
  * Use dh-sequence-movetousr to move systemd service to /usr (closes:
    #1073722).

 -- Colin Watson <cjwatson@debian.org>  Thu, 22 Aug 2024 20:35:33 +0100

timekpr-next (0.5.4-2) unstable; urgency=medium

  * Team upload
  * debian/control: Remove hard-coded dependencies on libgtk-3-0 (Closes:
    #1067190)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Apr 2024 13:28:48 +0200

timekpr-next (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.4.
  * Update d/copyright years and add myself.
  * Depends on pkexec (policykit-1 is deprecated).
  * Fix desktop-command-not-in-package lintian override.

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2023 14:13:32 +0100

timekpr-next (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Remove 0001-use-AyatanaAppIndicator3.patch (applied upstream)
  * debian/upstream/changelog: Update to 0.5.2-1ubuntu1~ppa1,
    installed as /usr/share/doc/timekpr-next/changelog.gz
  * Bump Standards-Version to 4.6.0 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 03 Jan 2022 22:54:04 -0700

timekpr-next (0.5.0-2) unstable; urgency=medium

  * Fix "SyntaxError: default 'except:' must be last" error
    in my initial 0001-use-AyatanaAppIndicator3.patch.
    Thanks to upstream author Eduards Bezverhijs for the correction!

 -- Anthony Fok <foka@debian.org>  Wed, 13 Jan 2021 19:23:16 -0700

timekpr-next (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * debian/install: Synchronize with upstream for new PlayTime feature
  * debian/upstream/changelog: Update to 0.5.0-1ubuntu1~ppa1
    to be installed as /usr/share/doc/timekpr-next/changelog.gz
  * Switch to AyatanaAppIndicator3 as AppIndicator3 is unmaintained
    and deprecated.  See debian/patches/0001-AyatanaAppIndicator3.patch
  * debian/control:
    - Suggests gnome-shell-extension-appindicator so that GNOME 3 users
      have a chance of actually seeing Timekpr-nExT’s app indicator
    - Update package description to match that in README.md
    - Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 06 Jan 2021 16:23:46 -0700

timekpr-next (0.4.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 0.2.8~ppa1~ubuntu1,
    0.2.1~ppa1~ubuntu2, 0.1.14~ppa1~ubuntu1, 0.1.7~ppa1~ubuntu1,
    0.1.6~ppa1~ubuntu1, 0.1.5~ppa1~ubuntu1.
    Fixes: lintian: debian-changelog-has-wrong-day-of-week
  * Use secure URI in Homepage field.
    Fixes: lintian: homepage-field-uses-insecure-uri

  [ Anthony Fok ]
  * New upstream version 0.4.3
  * Update debian/upstream/changelog (0.4.3-1ubuntu1~ppa1),
    see /usr/share/doc/timekpr-next/changelog.gz

 -- Anthony Fok <foka@debian.org>  Thu, 22 Oct 2020 15:40:57 -0600

timekpr-next (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Add debian/upstream/signing-key.asc, and revise debian/watch
    fetch upstream pristine tarball instead of creating one from git
  * Remove 01-fix-appstream-warnings.patch which has been merged upstream
  * debian/copyright: Add CC-BY-SA-4.0 license text
    for AppStream metadata file org.timekpr.timekpr-next.metainfo.xml
  * Add debian/upstream/metadata
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"

 -- Anthony Fok <foka@debian.org>  Wed, 09 Sep 2020 05:54:38 -0600

timekpr-next (0.4.1-2) unstable; urgency=medium

  * Fix date and time of 0.4.1-1 changelog entry
  * Fix issues found in the AppStream Report for 0.4.1-1
    with debian/patches/01-fix-appstream-warnings.patch .  See
    https://web.archive.org/web/20200827180523/https://appstream.debian.org/sid/main/issues/timekpr-next.html
    or https://archive.vn/kHr2y for details

 -- Anthony Fok <foka@debian.org>  Thu, 27 Aug 2020 14:10:14 -0600

timekpr-next (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
    - Among many improvements, a new AppStream metainfo has been added
  * Remove 0001-Move-from-usr-share-pyshared-to-usr-lib-python3-dist.patch
    which has been merged upstream
  * Refresh debian/install as per upstream
  * Add upstream changelog file, extracted using the command
    "git show v0.4.1:debian/changelog > debian/upstream/changelog"
  * Add debian/docs to install README.md and upstream changelog
  * Add Depends on policykit-1 to ensure pkexec (called in
    timekpr-admin-su.desktop) is installed
  * Add debian/timekpr-next.lintian-overrides to override Lintian warning
    "timekpr-next: desktop-command-not-in-package
    usr/share/applications/timekpr-admin-su.desktop pkexec"
  * Add "pristine-tar = True" to debian/gbp.conf

 -- Anthony Fok <foka@debian.org>  Tue, 25 Aug 2020 14:21:01 -0600

timekpr-next (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Drop recommends on python-appindicator, not needed; Closes: #965289

 -- Sandro Tosi <morph@debian.org>  Mon, 27 Jul 2020 00:27:12 -0400

timekpr-next (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * debian/control: Add missing Vcs-Browser and Vcs-Git fields
  * debian/watch: Track tags instead of HEAD to make it actually work
  * Refresh 0001-Move-from-usr-share-pyshared-to-usr-lib-python3-dist.patch

 -- Anthony Fok <foka@debian.org>  Fri, 10 Jul 2020 10:17:04 -0600

timekpr-next (0.2.13-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Fri, 10 Jul 2020 09:47:34 -0600

timekpr-next (0.2.13-1) unstable; urgency=medium

  * Initial release for Debian (Closes: #956939)
  * Adopt upstream’s Debian packaging and revise:
    - Add debian/watch
    - Add debian/gbp.conf
    - Change debian/source/format from 3.0 (native) to 3.0 (quilt)
    - Apply "cme fix dpkg" fixes
      * Organize debian/control fields
      * Change Priority from "extra" to "optional"
      * Update debhelper dependency to "debhelper-compat (= 12)"
      * Bump Standards-Version to 4.5.0
    - Sort debian/control dependency lists with "wrap-and-sort -a"
    - Set Maintainer to Python Applications Packaging Team
      and set Uploaders to myself
    - Remove ancient X-Python-Version field
    - Add ${python3:Depends} to Depends
    - Add "Rules-Requires-Root: no" to debian/control
    - Convert debian/copyright to machine-readable format
      and expand with all known copyright information
    - Reorganize debian/rules to match debhelper conventions
    - Revise package description and add "parental control" as keywords
      to help with searching
  * debian/install: Install Hungarian translation
  * Change installation path from /usr/share/pyshared to
    /usr/lib/python3/dist-packages, and patch upstream scripts accordingly
  * Fix Lintian errors, warnings and informational tags:
    - Build-Depends: dh-python without alternative python-support.
      Fixes E: missing-build-dependency-for-dh-addon python3 => dh-python;
      I: ored-build-depends-on-obsolete-package build-depends: python-support
    - debian/install: Install timekpr.service under /lib/systemd/system/;
      Fixes E: systemd-service-file-outside-lib
               etc/systemd/system/timekpr.service
    - Add "set -e" and "#DEBHELPER# to debian/postinst and debian/postrm,
      keeping only groupadd for "configure" in postinst "configure",
      adding groupdel for "purge" in postrm, and removing the rest,
      to let dh_installsystemd generate the required entries automatically.
      Fixes W: maintainer-script-calls-systemctl;
            W: maintainer-script-ignores-errors;
            W: maintainer-script-lacks-debhelper-token
  * Add polkit-1-auth-agent to Depends.
    For a list of packages which provides polkit-1-auth-agent,
    see https://packages.debian.org/sid/polkit-1-auth-agent

 -- Anthony Fok <foka@debian.org>  Fri, 17 Apr 2020 14:25:06 -0600

timekpr-next (0.2.13~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * Fix time reporting

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 24 Feb 2020 17:39:44 +0300

timekpr-next (0.2.12~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * Fix time accounting when check interval is exactly at 0 secs in new hour (fixes a bug #1863482)

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 17 Feb 2020 00:08:29 +0300

timekpr-next (0.2.11~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * Rework time accouting routines (fixes a bug #1861758)
  * Fix for week and month accounting when showing continous time (#1856744)
  * Rework session caching routines (for preparation to locking detection)
  * Fixed dependencies for package
  * Improvements for old StatusIcon (at start there will be a default icon and labels as with indicator)
  * Tiny python import cleanup

 -- Eduards Bezverhijs <edzis@inbox.lv>  Fri, 7 Feb 2020 11:29:49 +0300

timekpr-next (0.2.10~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * Fixed bug in configuration load when only couple of days are allowed per week
  * Added hungarian translation (thanks)

 -- Eduards Bezverhijs <edzis@inbox.lv>  Sun, 12 Jan 2020 15:46:08 +0300

timekpr-next (0.2.9~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * Improve user detection when username is the same as one of the login managers
  * Small improvements with login manager detection
  * Fix user time accounting due to issues with Python 3.8 and DBUS typecasts

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 25 Nov 2019 19:50:05 +0300

timekpr-next (0.2.8~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * Fixed an issue for huuuuuuuge icons in in Budgie DE (however other DEs did not show such issue)
  * A little logging improvement in VTNr search for login managers
  * User list is now sorted
  * Fixed an issue with object paths (timekpr uses usernames as part of pathnames) on DBUS which contain dots (.) and/or hyphens (-)

 -- Eduards Bezverhijs <edzis@inbox.lv>  Tue, 24 Sep 2019 01:28:12 +0300

timekpr-next (0.2.7~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * Fixed an issue when Timekpr-nExT confiuration may get corrupted or empty after sudden power outage
  **  all config files as well as time accounting files have previous backups (.prev files)
  **  invalid config / time files will have .invalid files to inspect later
  **  improved configuration handling by retrieving as much as possible from non-qualified config file (if user messes up config manually)
  * Improved CLI tools (error checking and help)
  * Fixed icon handling in race conditions between client and server as well improved icon handling during limit changes

 -- Eduards Bezverhijs <edzis@inbox.lv>  Thu, 22 Aug 2019 19:23:42 +0300

timekpr-next (0.2.6~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * Fixed an issue with Timekpr-nExT client not starting in non-major DE's (for example Deepin)

 -- Eduards Bezverhijs <edzis@inbox.lv>  Wed, 5 Jun 2019 20:12:12 +0300

timekpr-next (0.2.5~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * first official release

 -- Eduards Bezverhijs <edzis@inbox.lv>  Wed, 5 Jun 2019 20:12:12 +0300

timekpr-next-beta (0.2.5~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * fixed application launcher names for unfortunate Gnome3 users

 -- Eduards Bezverhijs <edzis@inbox.lv>  Wed, 5 Jun 2019 20:12:12 +0300

timekpr-next-beta (0.2.4~ppa1~ubuntu2) UNRELEASED; urgency=medium

  * localization updates (fixes to translations all over the place, thanks to JP Lord)
  **  updated all other languages with capitalizations
  * added French translations

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 29 Apr 2019 12:47:46 +0300

timekpr-next-beta (0.2.4~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * implemented TTY switching functionality for those cases, when login manager sits on different TTY than session itself (this should fix #1823717)
  **  the implementation is as follows: Timekpr-nExT tries to determine on which TTY login manager sits and saves it's TTY number, login managers have their
  **  own users in standard installations, therefore we detect them using specific usernames (maybe not the best solution, but it's a solution)
  * fixed control file initialization when timekpr starts (fixes #1802583)
  * fixed icon in notification area when there is no time limit per day, but time intervals are limited
  * improved termination list handling

 -- Eduards Bezverhijs <edzis@inbox.lv>  Sat, 27 Apr 2019 23:26:05 +0300

timekpr-next-beta (0.2.3~ppa1~ubuntu3) UNRELEASED; urgency=medium

  * fixed a bug in logging when multiple users use machine at the same time (permission problem)

 -- Eduards Bezverhijs <edzis@inbox.lv>  Sat, 27 Apr 2019 17:50:24 +0300

timekpr-next-beta (0.2.3~ppa1~ubuntu2) UNRELEASED; urgency=medium

  * kill leftover processes for the user which do not originate from session processes

 -- Eduards Bezverhijs <edzis@inbox.lv>  Sun, 14 Apr 2019 11:51:41 +0300

timekpr-next-beta (0.2.3~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * kill inactive sessions as well (up until this point inactive sessions were saved from killing)

 -- Eduards Bezverhijs <edzis@inbox.lv>  Sun, 14 Apr 2019 11:51:41 +0300

timekpr-next-beta (0.2.2~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * logging improvements (all client side logs are written to /tmp instead of HOME)
  * tweak to translation credits (if none are supplied)

 -- Eduards Bezverhijs <edzis@inbox.lv>  Fri, 12 Apr 2019 15:58:56 +0200

timekpr-next-beta (0.2.1~ppa1~ubuntu2) UNRELEASED; urgency=medium

  * packaging fix - we do not need to reference login managers any more

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 08 Apr 2019 18:34:31 +0300

timekpr-next-beta (0.2.1~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * added Italian and German translations

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 8 Apr 2019 8:25:17 +0300

timekpr-next-beta (0.2.1~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * added Italian and German translation

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 8 Apr 2019 12:07:25 +0300

timekpr-next-beta (0.2.0~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * first beta release

 -- Eduards Bezverhijs <edzis@inbox.lv>  Fri, 29 Mar 2019 8:22:17 +0300

timekpr-next (0.2.0~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * implemented localization
  * added Latvian translation

 -- Eduards Bezverhijs <edzis@inbox.lv>  Fri, 29 Mar 2019 8:22:17 +0300

timekpr-next (0.1.15~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * implemented localization (translations pending)

 -- Eduards Bezverhijs <edzis@inbox.lv>  Thu, 28 Mar 2019 18:27:42 +0300

timekpr-next (0.1.14~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * timekpr client code optimization and small bug fixes
  * added speech output

  TODO: localization

 -- Eduards Bezverhijs <edzis@inbox.lv>  Thu, 21 Mar 2019 21:06:43 +0300

timekpr-next (0.1.13~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * finalized admin GUI
  * bug fixes here and there

  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 18 Mar 2019 10:33:59 +0300

timekpr-next (0.1.12~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * finalized user admin GUI
  * bug fixes here and there

  TODO: timekpr administration via GUI
  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Fri, 15 Mar 2019 07:11:23 +0300

timekpr-next (0.1.11~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * implemented user admin GUI

  TODO: timekpr administration via GUI
  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Sun, 03 Mar 2019 00:42:11 +0300

timekpr-next (0.1.10~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * fixed a bug for time accounting when there is a limit set up, but hours are not limited at all
  * changed CLI option style from "-" to "--"

  TODO: timekpr administration via GUI
  TODO: user administration via GUI
  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Tue, 26 Feb 2019 23:08:17 +0300

timekpr-next (0.1.9~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * added weekly and monthly quota administration and processing
  * minor time accounting fixes

  TODO: timekpr administration via GUI
  TODO: user administration via GUI
  TODO: week and month quotas reporting to user
  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Fri, 22 Feb 2019 18:11:35 +0300

timekpr-next (0.1.8~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * fixes for user administration via DBUS and CLI
  * major time accounting fixes
  * clean up for user data processor

  TODO: timekpr administration via GUI
  TODO: user administration via GUI
  TODO: week and month quotas
  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Fri, 15 Feb 2019 6:53:03 +0300

timekpr-next (0.1.7~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * implemented user administration via DBUS
  * fixed some bugs with client configuration
  * fixed logrotate configuration

  TODO: administration via DBUS and CLI/GUI around it
  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Thu, 17 Jan 2019 07:35:19 +0300

timekpr-next (0.1.6~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * fixed issue with time being improperly calculated when user is set from "unlimited" mode to limited
  * fixed issue about time initialization when day changes and previously user was in "unlimited" mode (mode was changed to limited + he never logged off)

  TODO: administration via DBUS and CLI/GUI around it
  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Tue, 18 Dec 2018 20:03:22 +0300

timekpr-next (0.1.5~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * fixed lazy dbus connection initialization on client side
  * fixes for client side GUI
  * minor fixes for time accounting and logging

  TODO: administration via DBUS and CLI/GUI around it
  TODO: localization and speech

 -- Eduards Bezverhijs <edzis@inbox.lv>  Sun, 11 Nov 2018 07:55:46 +0300

timekpr-next (0.1.4~ppa1~ubuntu1) UNRELEASED; urgency=medium

  * first alpha version of timekpr (a lot has changed since old timekpr 0.3x version)
  ** new impementation of timekpr-revived (there is almost nothing left of timekpr-revived)
  ** released to very limited testers
  ** python3 and gtk3 are the must
  ** all based on DBUS (server and client)
  ** session management relies on systemd's login1
  ** notifications through DBUS (exclusively)
  ** server is managing everything, except notifications which is the responsibility of client
  ** major features include the following
  *** support DE's which implement appindicaor3 (Unity/Gnome3¹/KDE5/...) and legacy statusIcon
  *** support Ubuntu 12.04+ (on launchpad timekpr can support the versions which are on supported distro list)
  *** it's possible to configure which session types are accountable
  *** inactive session time is NOT accounted (if configured so)
  *** time is configurable by days, hours and minutes (yes, limits within hour are possible)
  *** there is no "hard" account lock, user will be logged out in 15 seconds if time is over
  *** synchronous operation between  server and client
  *** improved notifications about system behaviour
  **** notification about actual limit change
  **** notification about general configuration change
  **** notification logic improved
  **** client acts merely as notificator
  **** client can view limits applied by admin

  ¹ one has to install extension to show timekpr icon, otherwise icon is not shown (gnome architects do not want status icons in their design anymore, timekpr can not do anything about it)

  TODO: administration via DBUS and CLI/GUI around it

 -- Eduards Bezverhijs <edzis@inbox.lv>  Mon, 17 Sep 2018 08:02:17 +0300
